Subject: bug#16476: 24.3.50; C-k in eww kill the web form

From: Kenjiro NAKAYAMA <[email-masked]>
Date: Sat, 18 Jan 2014 16:43:38 +0900

> If you keep pressing C-k, you can kill images, links, text and even images.

Yes.

> images. Perhaps a rendered web page should enable read-only-mode and
> interactively prompt the user for forum input?

I think it is not necessary. If we delete by mistake, just reload it with "g" key.

Kenjiro

[email-masked] writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>> Hi,
>> just tried eww:
>> M-x eww RET RET
>> In the duckduck form I write "emacs" then I hit C-a C-k, the web form is
>> deleted, I have to quit and restart again eww.
>
> If you keep pressing C-k, you can kill images, links, text and even
> images. Perhaps a rendered web page should enable read-only-mode and
> interactively prompt the user for forum input?